Đến nội dung


Hình ảnh

dùng lệnh wipeout cho ellipse


  • Please log in to reply
14 replies to this topic

#1 kaka2225

kaka2225

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 27 July 2014 - 05:55 PM

lệnh wipeout chỉ cho phép polyline. vậy làm sao dùng lệnh wipeout cho ellipse


  • -1

#2 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 27 July 2014 - 09:36 PM

chỉ còn cách là ngồi vẽ 1 polyline đè lên elip thôi


  • 0

#3 kaka2225

kaka2225

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 27 July 2014 - 09:58 PM

làm sao dùng polyline vẽ được ellip vậy bạn?


  • 0

#4 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 27 July 2014 - 10:13 PM

vẽ trước 1 cái elip rồi dùng lênh pl vẽ đè men theo đường cong của elip thôi, sau đó dùng lệnh wipeout với cái polyline đó, rồi block tất cả lại. giơf đã có 1 wipeout là elip rồi (cách này chỉ là tương đối thôi)


  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 28 July 2014 - 04:31 AM

Có thể thiết lập biến hệ thống PELLIPSE bằng 1. Khi vẽ lệnh ELLIPSE thì CAD sẽ tạo ELLIPSE bằng các phân đoạn Polyline

Với cách này bạn có thể tạo wipeout là ellipse


  • 0

#6 trungnv61

trungnv61

    biết lệnh stretch

  • Members
  • PipPipPip
  • 161 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 28 July 2014 - 09:24 AM

anh tuệ ơi. sau khi cho biến pellipse =1 thì ellipse trở thành đối tượng polyline nhưng khi chuyển thành wipeout thì không thể chuyển đc.phải làm sao anh


  • 0

#7 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 28 July 2014 - 11:19 AM

anh tuệ ơi. sau khi cho biến pellipse =1 thì ellipse trở thành đối tượng polyline nhưng khi chuyển thành wipeout thì không thể chuyển đc.phải làm sao anh

Không thể set biến pellipse = 1 để wipeout cho ellipse được. Bởi khi đó ellipse sẽ biến thành polyline gồm các arc chứ không phải các line.

May ra có thể dùng lisp theo kiểu vi phân ellipse thành polyline gồm các line nhỏ rồi wipeout.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#8 trungputin2003

trungputin2003

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 July 2014 - 11:39 AM

thế muốn Wipeout cho đường tròn thì làm sao các bác nhỉ? Em làm bên Cấp thoát nước, hay đặt các nút tính toán là nút tròn nên rất cần, Em toàn phải làm thủ công là offset ra 1 đường tròn khác rồi vẽ Wipeout theo đường tròn này. Quả này nhờ các Bác bỏ thời gian quan tâm làm cho cái lisp với. Rất cảm ơn các Bác. Chúc sức khỏe mọi người.


  • 0

#9 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 28 July 2014 - 01:46 PM


 

-Bạn có thể dùng lệnh Polygon với số cạnh tương đối lớn (góc ở tâm khoảng 1 độ <=> 360 cạnh) thì sẽ được đa giác xấp xỉ đường tròn rồi wipeout

 

- Về tạo wipeout cho ellipse : chắc phải dùng lisp vi phân ellipse thành các phân đoạn line (line segments) nhỏ rồi mới wipeout được như ý của bác DoanVanHa mới được ^^


  • 1

#10 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 28 July 2014 - 02:05 PM

lisp đâyhttp://www.cadviet.c...llipseob2wo.lsp. Mình đã thử nó dùng cho cả đường tròn lẫn ellipse


  • 0

#11 trungputin2003

trungputin2003

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 July 2014 - 02:43 PM

ui, cảm ơn Bác Tuệ, sáng kiến tuyệt vời đấy. Có lúc đơn gian thế mà em không nghĩ ra. Cảm ơn Bác nhiều nha, tiết kiệm đuọc nhiều thời gian và hết ngại quả Wipeout đường tròn rồi. hehe. Tuyệt đấy!


  • 0

#12 trungputin2003

trungputin2003

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 July 2014 - 02:53 PM

Phiền Bác Cancer-xd up lại link giúp cái được không, em down không được. Thanks Bác!


  • 0

#13 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 28 July 2014 - 04:49 PM

thử cái này xem thế nào

https://docs.google....6c1k/edit?pli=1


  • 1

#14 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 28 July 2014 - 06:15 PM

Vẽ Wipeout đường tròn bằng Polygon cạnh 300 đây, muốn hình vuông thì cạnh = 4 :)

(defun C:WPO (/ res cp pt oldos)
       (command "undo" "be")
(setq oldos (getvar "osmode"))
  (setq defres (if defres defres "300"))
  (setq res (getstring (strcat "\nEnter Resolution <"defres">: ")))
  (if (> (strlen res) 0) (setq defres res) (setq res defres))
  (setq cp (getpoint "\nPick Center Point: "))
  (setq pt (getpoint cp "\nPick Point: "))
  (setvar "osmode" 0) 
(initget "I C")
(setq sel (getkword "\nV\U+1EBD \U+0111a gi\U+00E1c n\U+1ED9i ti\U+1EBFp (I) hay ngo\U+1EA1i ti\U+1EBFp © v\U+1EDBi \U+0111\U+01B0\U+1EDDng tr\U+00F2n [I/C]? <C> :"))
(if (= sel "C")
 (command "polygon" res cp "C" pt)
 (command "polygon" res cp "I" pt)
)
  (command "wipeout" "polyline" "last" "yes")
(setvar "osmode" oldos)
(command "undo" "e")
  (princ))

  • 3

#15 trungputin2003

trungputin2003

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 July 2014 - 10:32 PM

Cảm ơn 2 bác pphungcancer-xd em làm đc rồi. Chúc các anh chị sức khoẻ và nhiều sáng tạo giúp cho cadviet ngày càng có nhiều bài hay. Rất cảm ơn!


  • 0